Update an attribute in the store
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/attributes/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"price_impact":1.5,"available":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/attributes/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "price_impact": 1.5, "available": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”The payload for update
object
The new price of the attribute in the store. If the value is not present or is null, it will not be updated.
Example
1.5The flag indicates whether the attribute is available in the store. If the value is not present or is null, it will not be updated.
Example
trueResponses
Section titled “Responses”Attribute updated successfully
object
Unique identifier of the attribute within a store
Attribute name
Specifies if the attribute should be selected by default when customizing the product associated
Attribute price
Specifies if the product is available to be purchased
Example
{ "id": "side1", "name": "French fries", "selected_by_default": true, "price": "1.5", "available": true}Invalid payload or parameters
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesSpecifies if the attribute should be selected by default when customizing the product associated
Example
trueAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
trueUnauthorized
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesSpecifies if the attribute should be selected by default when customizing the product associated
Example
trueAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
trueInternal server error
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesSpecifies if the attribute should be selected by default when customizing the product associated
Example
trueAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
true